%define _kde4_prefix %_prefix
%define _kde4_sysconfdir %_sysconfdir
%define _kde4_libdir %_libdir
%define _kde4_datadir %_datadir
%define _kde4_sharedir %_datadir
%define _kde4_iconsdir %_kde4_sharedir/icons
%define _kde4_configdir %_kde4_sharedir/config
%define _kde4_appsdir %_kde4_sharedir/kde4/apps
%define _kde4_docdir %_kde4_prefix/share/doc
%define _kde4_bindir %_kde4_prefix/bin
%define _kde4_sbindir %_kde4_prefix/sbin
%define _kde4_includedir %_kde4_prefix/include
# http://techbase.kde.org/Development/Tutorials/CMake
%define _kde4_debug release
%define _kde4_macros_api 2

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	KDE filesystem layout
Name: 		kde-filesystem
Version: 	4 
Release: 	3
Group: 		System/Base
License: 	GPL
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch
# teamnames (locales) borrowed from kde-i18n packaging
Source1: 	teamnames
Source2: 	macros.kde4
# increment whenever dirs change in an incompatible way
# kde4 apps built using macros.kde4 should
# Requires: kde4-macros(api) = %{_kde4_macros_api}
Provides:	kde4-macros(api) = %{_kde4_macros_api} 
BuildRequires: 	gawk

%description
This package provides some directories that are required/used by KDE. 

%install
rm -f $RPM_BUILD_DIR/%{name}.list
rm -rf $RPM_BUILD_ROOT

## KDE4
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm \
      -p $RPM_BUILD_ROOT%{_kde4_sysconfdir}/kde4/env \
      -p $RPM_BUILD_ROOT%{_kde4_sysconfdir}/kde4/shutdown \
      -p $RPM_BUILD_ROOT%{_kde4_sysconfdir}/kde4/kdm \
      -p $RPM_BUILD_ROOT%{_kde4_sysconfdir}/xdg/menus \
      -p $RPM_BUILD_ROOT%{_kde4_libdir} \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4 \
      -p $RPM_BUILD_ROOT%{_kde4_appsdir} \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/autostart \
      -p $RPM_BUILD_ROOT%{_kde4_configdir} \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/config.kcfg \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/desktop-directories \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/emoticons \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/services \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/servicetypes \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/sounds \
      -p $RPM_BUILD_ROOT%{_kde4_sharedir}/templates/.source \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/wallpapers \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/16x16/actions \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/16x16/apps \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/16x16/mimetypes \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/22x22/actions \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/22x22/apps \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/22x22/mimetypes \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/32x32/actions \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/32x32/apps \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/32x32/mimetypes \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/48x48/actions \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/48x48/apps \
      -p $RPM_BUILD_ROOT%{_kde4_datadir}/icons/locolor/48x48/mimetypes \
      -p $RPM_BUILD_ROOT%{_kde4_docdir}/HTML/en

for locale in $(grep '=' %{SOURCE1} | awk -F= '{print $1}') ; do
  mkdir -p $RPM_BUILD_ROOT%{_kde4_docdir}/HTML/${locale}/
  echo "%lang($locale) %{_kde4_docdir}/HTML/$locale/" >> %{name}.list
done

# rpm macros
cat >$RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.kde4<<EOF
%%_kde4_prefix %_kde4_prefix
%%_kde4_sysconfdir %_kde4_sysconfdir
%%_kde4_libdir %_kde4_libdir
%%_kde4_datadir %_kde4_datadir
%%_kde4_sharedir %_kde4_sharedir
%%_kde4_iconsdir %_kde4_iconsdir
%%_kde4_configdir %_kde4_configdir
%%_kde4_appsdir %_kde4_appsdir
%%_kde4_docdir %_kde4_docdir
%%_kde4_bindir %_kde4_bindir
%%_kde4_sbindir %_kde4_sbindir
%%_kde4_includedir %_kde4_includedir
%%_kde4_debug %_kde4_debug
%%_kde4_macros_api %_kde4_macros_api
EOF
cat %{SOURCE2} >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.kde4


%clean
rm -rf $RPM_BUILD_ROOT %{name}.list


%files -f %{name}.list
%defattr(-,root,root,-)

# KDE4
%config /etc/rpm/macros.kde4
%{_kde4_sysconfdir}/kde4/
%{_kde4_libdir}
%{_kde4_datadir}/applications/kde4/
%{_kde4_appsdir}/
%{_kde4_configdir}/
%{_kde4_sharedir}/config.kcfg/
%{_kde4_sharedir}/desktop-directories/
%{_kde4_sharedir}/emoticons/
%{_kde4_datadir}/icons/locolor
%{_kde4_sharedir}/services/
%{_kde4_sharedir}/servicetypes/
%{_kde4_sharedir}/templates/
%{_kde4_datadir}/wallpapers/
%{_kde4_datadir}/sounds/
%dir %{_kde4_docdir}/HTML/
%lang(en) %{_kde4_docdir}/HTML/en/


%changelog
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 4-3
- moved KDE4 to /usr, opt seems to cause more problems than its worth
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 4-2
- added dbus dirs to macros file
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 4-1
- Initial release, borrowed from fedora